#
# Try to make Canon printer.
#
# vim: et:ts=2:sw=2:
#
{ ... }:
let
  overlay = final': prev': {
    canon-cups-ufr2 = prev'.canon-cups-ufr2.overrideAttrs (prev: rec {

      installPhase = final'.lib.replaceStrings [ "/usr/bin/cnjbigufr2=$out/bin/cnjbigufr2" ] [
        "/usr/bin/cnjbigufr2=$out/bin/cnjbigufr2:/usr/share/cnpkbidir=$out/share/cnpkbidir"
      ] prev.installPhase;
    });
  };
in
{
  nixpkgs.overlays = [ overlay ];
}
